
/* 购买渠道 */
.purchase-channels {
	background-color: var(--light-gray);
}

.channels-grid {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 30px;
}

.channel-card {
	background-color: white;
	border-radius: var(--border-radius);
	padding: 40px 30px;
	text-align: center;
	box-shadow: var(--box-shadow);
	transition: var(--transition);
}

.channel-card:hover {
	transform: translateY(-10px);
}

.channel-icon {
	font-size: 3.5rem;
	margin-bottom: 25px;
}

.channel-icon.douyin {
	color: var(--dou-yin-color);
}

.channel-icon.jd {
	color: var(--jing-dong-color);
}

.channel-icon.tmall {
	color: var(--tian-mao-color);
}

.channel-buttons {
	display: flex;
	flex-direction: column;
	gap: 15px;
	margin-top: 25px;
}

.channel-buttons > .btn-dou-yin, .channel-buttons > .btn-jing-dong, .channel-buttons > .btn-tian-mao {
	color: var(--light-color);
}

.channel-buttons > .btn-dou-yin {
	background-color: var(--dou-yin-color); 
}

.channel-buttons > .btn-dou-yin:hover {
	background-color: #FE2C55; 
}

.channel-buttons > .btn-jing-dong {
	background-color: var(--jing-dong-color); 
}
.channel-buttons > .btn-jing-dong:hover {
	background-color: #E33333; 
}

.channel-buttons > .btn-tian-mao {
	background-color: var(--tian-mao-color);
}
.channel-buttons > .btn-tian-mao:hover {
	background-color: #FF5500;
}

.channel-buttons > a{
	background-color: var(--primary-color);
}

/* 响应式设计 */
@media (max-width: 1200px) {
	.channels-grid {
		grid-template-columns: repeat(2, 1fr);
	}
}

@media (max-width: 768px){
	.channels-grid {
			grid-template-columns: 1fr;
	}
}